Skip Menu |
 

This queue is for tickets about the Error CPAN distribution.

Report information
The Basics
Id: 122713
Status: resolved
Priority: 0/
Queue: Error

People
Owner: Nobody in particular
Requestors: wolfsage [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Download (untitled) / with headers
text/plain 598b
"use Error::Simple" overwrites calling package's $VERSION. Error/Simple.pm doesn't define a package but sets $VERSION using "use vars ($VERSION)" which overwrites the calling package's version! mhorsfall@tworivers:~$ perl -e 'use parent qw(Error::Simple); use parent 23423432' parent version 23423432 required--this is only version 0.17024 at -e line 1. BEGIN failed--compilation aborted at -e line 1. mhorsfall@tworivers:~$ perl -e 'use parent 2342' parent version 2342 required--this is only version 0.232 at -e line 1. BEGIN failed--compilation aborted at -e line 1. -- Matthew Horsfall (alh)
Download (untitled) / with headers
text/plain 792b
On Fri Aug 04 16:52:11 2017, wolfsage@gmail.com wrote: Show quoted text
> "use Error::Simple" overwrites calling package's $VERSION. > > Error/Simple.pm doesn't define a package but sets $VERSION using "use > vars ($VERSION)" which overwrites the calling package's version! > > mhorsfall@tworivers:~$ perl -e 'use parent qw(Error::Simple); use > parent 23423432' > parent version 23423432 required--this is only version 0.17024 at -e > line 1. > BEGIN failed--compilation aborted at -e line 1. > mhorsfall@tworivers:~$ perl -e 'use parent 2342' > parent version 2342 required--this is only version 0.232 at -e line 1. > BEGIN failed--compilation aborted at -e line 1. > > -- Matthew Horsfall (alh)
Thanks for the report - this should be fixed in 0.17025 which was released a while ago. Resolving as fixed.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.